Add Texture Face Brep

I´ve a Brep like this

This brep has 6 Face and I want to add a new texture from a file jpg, but I want only to add this texture a superior face.

The brep is made:

Curve contorno = (new Polyline(arrayPoints)).ToNurbsCurve();
Surface extrusion = Surface.CreateExtrusion(contourn, new Vector3d(0, 0, -20));
Brep modelo = extrusion.ToBrep().CapPlanarHoles(0.01);

// Attributes
ObjectAttributes atributos_modelo = null;
atributos_modelo = new ObjectAttributes();

atributos_modelo.MaterialSource = ObjectMaterialSource.MaterialFromObject;
atributos_modelo.ColorSource = ObjectColorSource.ColorFromMaterial;
atributos_modelo.MaterialIndex = RhinoDoc.ActiveDoc.Materials.Add();

Rhino.DocObjects.Material material = RhinoDoc.ActiveDoc.Materials[atributos_modelo.MaterialIndex];
material.SetBitmapTexture(fichero);
material.CommitChanges();

Guid guid = RhinoDoc.ActiveDoc.Objects.AddBrep(modelo, atributos_modelo);

I can get the superior face, but if I change the material in the attributes, it change all the brep,

Is there any possibility of changing only the material of the supeior face?

Rhino 5 does not allow you to assign materials to individual Brep faces. I understand that Rhino 6 will allow you to do this.

1 Like